Xfce Foundation Classes
Main Page | Index | Namespace List | Alphabetical List | Class List | File List

# Xfc::G::RecMutex Class Reference

A run-time GStaticRecMutex C++ wrapper interface. More...

`#include <xfc/glib/mutex.hh>`

Inheritance diagram for Xfc::G::RecMutex:

List of all members.

## Public Member Functions

Constructors

- RecMutex (bool lock_mutex=false, unsigned int depth=1)
    Constructs and initializes a new StaticRecMutex.
- ~RecMutex ()
    Destructor; Completely unlocks the mutex if it's locked, and frees it.

## Detailed Description

A run-time GStaticRecMutex C++ wrapper interface.

A RecMutex works like a StaticRecMutex, but it can be constructed and initialized at run-time. The RecMutex constructor calls StaticRecMutex::init() to initialize itself.

## Constructor & Destructor Documentation

Xfc::G::RecMutex::RecMutex | ( | bool | lock_mutex = `false`,
|  | unsigned int | depth = `1`
| ) |

Constructs and initializes a new StaticRecMutex.

Parameters:

  | lock_mutex | Whether to lock the mutex at construction time.
  | depth | The number of times the mutex has to be unlocked to be completely unlocked.

The documentation for this class was generated from the following file:

- mutex.hh

Xfce Foundation Classes

Copyright © 2004-2005 The XFC Development Team | XFC 4.3